Subject: problem orders
From: "Mike" <[email-masked]>
To: "Josh Bridges" <[email-masked]>
Cc: "Jim Borum" <[email-masked]>
Date: Mon, 28 Jan 2008 17:56:41 -0500

Josh,
We had a least 24 come back today.  For reasons such as bad addresses, refused, or "never ordered".  I had them keep a list of the returns after they took care of them.  There were two that I would like to have your rep(s) take care of:

Order #463480 by Raul C, 912-353-9300
JOAN MCMILLAN
JEFFREY W RUBNITZ
617   STEVEPHENSON AVE.ST #202
(missing City, State, Zip)
Also, is this a doctors office or a private residence?  There is just a name in the company field.  Maybe MD, DSD, LLP needs to be added to the end of the name (?).

Order #463062 by Vanessa C, 828-295-7400
PAT MILLER
BLUE RIDGE MOUNTAIN RENTALS 
PBLOWING ROCK O BOX 2424
(Address, City, State, Zip ???)

Also, can you tell me where we are on the others I sent over last week and a few the week before. I currently have 16 still waiting for responses.   Some I know you said we were waiting on a different department for the recordings.  I have quite a mix.  Some are just bad addresses that we either can't send out their order or invoice (or both).  I know you said they're backed up but can they at least get some of them done?  Here's a suggestion about the bad addresses.  Have the rep who placed the order call the customer again and verify the information.  This is what I have my reps do when they screw something up themselves.  I have found that they are less likely to make those same mistakes in the future.  You can tell them but they remember when they have to fix things.  This works!
Let me know what you come up with.
Thank you,
Michael Bishop
Labor Law Poster Service
Phone 877-321-4144
Fax 888-442-4144
[email-masked]